Lucene search

K
debianDebianDEBIAN:DSA-4627-1:5CD4F
HistoryFeb 17, 2020 - 8:39 p.m.

[SECURITY] [DSA 4627-1] webkit2gtk security update

2020-02-1720:39:59
lists.debian.org
67

6.1 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

CHANGED

Confidentiality Impact

LOW

Integrity Impact

LOW

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

4.3 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

PARTIAL

Availability Impact

NONE

AV:N/AC:M/Au:N/C:N/I:P/A:N

0.002 Low

EPSS

Percentile

59.6%


Debian Security Advisory DSA-4627-1 [email protected]
https://www.debian.org/security/ Alberto Garcia
February 17, 2020 https://www.debian.org/security/faq


Package : webkit2gtk
CVE ID : CVE-2020-3862 CVE-2020-3864 CVE-2020-3865 CVE-2020-3867
CVE-2020-3868

The following vulnerabilities have been discovered in the webkit2gtk
web engine:

CVE-2020-3862

Srikanth Gatta discovered that a malicious website may be able to
cause a denial of service.

CVE-2020-3864

Ryan Pickren discovered that a DOM object context may not have had
a unique security origin.

CVE-2020-3865

Ryan Pickren discovered that a top-level DOM object context may
have incorrectly been considered secure.

CVE-2020-3867

An anonymous researcher discovered that processing maliciously
crafted web content may lead to universal cross site scripting.

CVE-2020-3868

Marcin Towalski discovered that processing maliciously crafted web
content may lead to arbitrary code execution.

For the stable distribution (buster), these problems have been fixed in
version 2.26.4-1~deb10u1.

We recommend that you upgrade your webkit2gtk packages.

For the detailed security status of webkit2gtk please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/webkit2gtk

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: [email protected]

6.1 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

CHANGED

Confidentiality Impact

LOW

Integrity Impact

LOW

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

4.3 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

PARTIAL

Availability Impact

NONE

AV:N/AC:M/Au:N/C:N/I:P/A:N

0.002 Low

EPSS

Percentile

59.6%